Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1232548 - <AEMethod servicetemplateprovisionrequest_denied> [wrong number of arguments (3 for 2)]
<AEMethod servicetemplateprovisionrequest_denied> [wrong number of arguments ...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate (Show other bugs)
5.4.0
Unspecified Unspecified
unspecified Severity unspecified
: GA
: 5.5.0
Assigned To: Tina Fitzgerald
Alex Newman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-06-16 22:34 EDT by Jeffrey Cutter
Modified: 2015-12-08 08:14 EST (History)
6 users (show)

See Also:
Fixed In Version: 5.5.0.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:14:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2551 normal SHIPPED_LIVE Moderate: CFME 5.5.0 bug fixes and enhancement update 2015-12-08 12:58:09 EST

  None (edit)
Description Jeffrey Cutter 2015-06-16 22:34:00 EDT
Description of problem:

/ RedHat / Service / Provisioning / Email / ServiceTemplateProvisionRequest_Denied method line 28 accepting wrong number of arguments, accepts 2, needs 3 (reason).

[----] E, [2015-06-16T22:08:04.224717 #2083:68ac504] ERROR -- : Q-task_id([service_template_provision_request_1000000000127]) <AEMethod servicetemplateprovisionrequest_denied> [wrong number of arguments (3 for 2)]
<code: def approver_denied_text(requester_email, msg)>:28:in `approver_denied_text'
<code: body += approver_denied_text(requester_email, msg, reason)>:37:in `approver_text'
<code: send_mail(to, from, subject, approver_text(appliance, msg, requester_email))>:59:in `email_approver'
<code: email_approver(appliance, msg)>:101:in `<main>'
approver_denied_text() is called passing 3 args but method only accepts 2, should accept 3 by the looks of it

Version-Release number of selected component (if applicable):


How reproducible:

Force a provision to be denied as in over allowed quotas.
Comment 3 Shveta 2015-08-31 20:21:16 EDT
Verified on upstream 

master.20150831201655_178618c
. No error seen in logs for a denied provision
Comment 4 Alex Newman 2015-12-04 16:54:43 EST
Tested: 5.5.0.13
Comment 6 errata-xmlrpc 2015-12-08 08:14:16 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.